RagTime5SpreadsheetInternal::State Struct Reference

Internal: the state of a RagTime5Spreadsheet. More...

## Public Member Functions

| State ()
| constructor
librevenge::RVNGString | getNewSheetName (librevenge::RVNGString const &fileName) const
| returns a new sheet name

## Public Attributes

std::map< int, std::shared_ptr< Sheet > > | m_idSheetMap
| map data id to sheet zone

## Protected Attributes

std::set< librevenge::RVNGString > | m_namesSet
| the set of name already used
int | m_newSheetId
| a int uses to generate unique sheet id

## Detailed Description

Internal: the state of a RagTime5Spreadsheet.

## Constructor & Destructor Documentation

## State()

RagTime5SpreadsheetInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## getNewSheetName()

librevenge::RVNGString RagTime5SpreadsheetInternal::State::getNewSheetName | ( | librevenge::RVNGString const & | fileName | ) | const

inline

returns a new sheet name

## Member Data Documentation

## m_idSheetMap

std::map<int, std::shared_ptr<Sheet> > RagTime5SpreadsheetInternal::State::m_idSheetMap

map data id to sheet zone

Referenced by State().

## m_namesSet

std::set<librevenge::RVNGString> RagTime5SpreadsheetInternal::State::m_namesSet

mutable protected

the set of name already used

Referenced by getNewSheetName(), and State().

## m_newSheetId

int RagTime5SpreadsheetInternal::State::m_newSheetId

mutable protected

a int uses to generate unique sheet id

Referenced by getNewSheetName(), and State().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx